Oracle CrowdTwist | DataGrail Documentation

Unlisted page

This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

On this page

This documentation for the Oracle CrowdTwist integration describes the technical capabilities of this integration, including authorization, scopes/permissions, and utilized endpoints. For more information on how to integrate Oracle CrowdTwist, visit our connection instructions.

Version

This integration utilizes the Oracle CrowdTwist API v2.

Base URL

The base URL used for all Oracle CrowdTwist API endpoints contains the Main API Subdomain:

https://subdomain.crowdtwist.com/v2

Endpoints Utilized

DataGrail uses the following endpoints to authorize and test the connection:

Method Endpoint Purpose Docs
GET /users/user_id Validate credentials
GET https://pos_subdomain.crowdtwist.com/users/user_id/purchases Validate credentials

Authentication & Authorization

The DataGrail Oracle CrowdTwist integration connects using API Key authentication which requires an API Key.

Sensitive Credentials

Publicly exposing your API credentials can allow unauthorized access to Oracle CrowdTwist API endpoints by a third party. DataGrail stores your API credentials encrypted and protected.

Limits

Limits in Oracle CrowdTwist are calculated using the leaky bucket algorithm. All requests that are made after rate limits have been exceeded are throttled and an HTTP 429 Too Many Requests error is returned. Requests succeed again after enough requests have emptied out of the bucket.

Capabilities

Access

DataGrail's Oracle CrowdTwist integration provides Synchronous Access capabilities for the following supported identifier categories: Email and User ID.

Data Interactions

For Access requests, DataGrail will take the following actions:

  1. Search User Profiles and Members using configured identifiers.
  2. For all collected Users and/or Members:
    • Fetch User Activities.
    • Fetch User Rewards.
    • Fetch User Purchase History.
    • Fetch User Receipt History.
    • Fetch User Redemption History.

Endpoints Utilized

Method Endpoint Purpose Docs
GET /members Search members
GET /users/user_id Search user profile
GET /users/user_id/activities Fetch user activities
GET /users/user_id/receipts Fetch user receipts history
GET /users/user_id/rewards Fetch user rewards
GET https://pos_subdomain.crowdtwist.com/users/user_id/purchases Fetch user purchase history
GET https://subdomain.crowdtwist.com/v2.2/users/user_id/redemption_history Fetch user redemption history

Deletion

DataGrail's Oracle CrowdTwist integration provides Asynchronous Deletion capabilities for the following supported identifier categories: Email and User ID.

Data Interactions

For Deletion requests, DataGrail will take the following actions:

  1. Request User deletion.
  2. Continuously check User deletion status until complete.

Endpoints Utilized

Method Endpoint Purpose Docs
DEL /users/user_id Request user deletion
GET /users/delete/user_id Check user deletion status

Need help?

If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute legal advice. We would advise seeking professional counsel before acting on or interpreting any material.